<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.sing.yeepay.mapper.YeepayOrderMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="yeepayOrderResultMap" type="org.springblade.sing.yeepay.entity.YeepayOrder">
        <result column="id" property="id"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="create_user" property="createUser"/>
        <result column="update_user" property="updateUser"/>
        <result column="product_id" property="productId"/>
        <result column="help_goods_id" property="helpGoodsId"/>
        <result column="active_id" property="activeId"/>
        <result column="user_id" property="userId"/>
        <result column="help_goods_name" property="helpGoodsName"/>
        <result column="amount" property="amount"/>
        <result column="phone" property="phone"/>
        <result column="pay_status" property="payStatus"/>
        <result column="point_goods_id" property="pointGoodsId"/>
        <result column="point_goods_name" property="pointGoodsName"/>
        <result column="note" property="note"/>
        <result column="callback_url" property="callbackUrl"/>
        <result column="is_delete" property="isDelete"/>
    </resultMap>


    <select id="selectYeepayOrderPage" resultMap="yeepayOrderResultMap">
        select * from sing_yeepay_order where is_deleted = 0
    </select>

</mapper>
